Subject: bug#17026: closed (Re: [PATCH] Re-enable SIGIO when waiting for events)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Jul 2015 18:50:06 +0000

Your bug report

#16737: 24.3.50; x-get-selection: Timed out waiting for reply from selection owner

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16737: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16737
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] Re-enable SIGIO when waiting for events
From: Tassilo Horn <[email-masked]>
To: Mike Crowe <[email-masked]>
Cc: Paul Eggert <[email-masked]>, [email-masked], Emacs Development <[email-masked]>
Date: Thu, 30 Jul 2015 20:49:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Mike Crowe <[email-masked]> writes:

>> > Thanks for checking.  I installed a similar patch as Emacs master
>> > commit 0592cefd03f1de2f04b721d07a16e6e0a9e48f73; could you please
>> > give it a try?  It is like Mike Crowe's patch, except it avoids a
>> > race that could lose SIGIOs.  I'll also send a heads-up email to
>> > the relevant bug reports.
>> 
>> I prefer your version and will switch to testing it instead.
>
> I've been testing with 0592cefd03f1de2f04b721d07a16e6e0a9e48f73
> applied to Debian Jessie's emacs24 (24.4+1-5) for over a week now
> without seeing any problems so I think we can call the bug fixed.

And I run the git head updating daily, and the issue didn't occur to me
since that commit whereas it bit me several times a day before.  So I
can confirm that it's fixed (as multiple other already did in the
debbugs issue), so I close it with this mail.

Thanks!
Tassilo

Subject: 24.3.50; x-get-selection: Timed out waiting for reply from selection owner
From: Tom Tromey <[email-masked]>
To: [email-masked]
Date: Mon, 17 Mar 2014 08:49:09 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm using a recent-ish emacs trunk on x86-64 Fedora 20.
Whenever I try to paste using the middle mouse button, Emacs freezes.
After a time it comes back and gives the error:

x-get-selection: Timed out waiting for reply from selection owner

In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.6)
 of 2014-03-09 on barimba
Repository revision: 116709 [email-masked]
Windowing system distributor `Fedora Project', version 11.0.11404000
Configured using:
 `configure --prefix=/home/tromey/Space/EmacsBzr/emacs-mt/trunk-install'

Important settings:
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix

Major mode: C/l

Minor modes in effect:
  global-auto-revert-mode: t
  shell-dirtrack-mode: t
  bug-reference-prog-mode: t
  diff-auto-refine-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  flyspell-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  auto-fill-function: tjt-c++-do-auto-fill
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
c - i n t <tab> <return> C-/ C-x s y y C-z n C-v C-v 
C-s < < < C-a <help-echo> C-n C-k C-k C-n C-n C-n C-y 
C-k C-k C-u C-p C-p C-SPC C-n C-n C-w C-n C-n C-n C-k 
C-k C-n C-n C-n C-n C-n C-SPC C-n C-n C-n C-n C-w n 
C-/ C-n C-n M-b M-b M-b & C-n C-n C-a C-k C-k C-p C-f 
C-x C-g C-p C-k C-x s y C-z n <f10> <f10> C-x b * c 
o m <tab> <return> g M-> C-z n C-u <f9> C-z n C-x b 
g c c - i n t <tab> <return> M-v C-l C-z n M-f M-f 
M-f M-/ M-/ M-/ M-/ M-/ <f9> C-x o g y C-x o <f9> C-x 
o M-> C-x o C-x 1 C-e C-f C-f C-x s M-> C-u C-SPC C-v 
C-x C-f M-p M-p M-p M-p C-g C-x b g c c - t <tab> <return> 
C-x C-f g c c - s y m b o l s . c <return> C-x b <return> 
M-< C-SPC C-u C-u C-n C-u C-n C-n C-n C-n C-n C-n M-w 
C-x b <return> C-y M-< M-f M-f <M-backspace> s y m 
b o l s M-> <backspace> # i n c l u d e SPC " s y m 
t a b . h " C-a C-u C-p C-n C-k C-k M-> <return> <return> 
C-x C-s C-x C-f g c c - <tab> <backspace> j <tab> - 
<tab> <return> C-u C-u C-n C-l C-z n C-x b * m e s 
<tab> M-b M-c <tab> <return> M-v M-v M-v M-< C-s s 
e l e c t C-z n M-x r e o r <backspace> <backspace> 
p o r t - e m <tab> <return> b <tab> <return>

Recent messages:
Quit
(New file)
Mark set [6 times]
syntax: ((topmost-intro 1)), indent: 0 [4 times]
Saving file /home/tromey/Space/SecondArcher/binutils-gdb/gdb/gccjit/gcc-symbols.c...
Wrote /home/tromey/Space/SecondArcher/binutils-gdb/gdb/gccjit/gcc-symbols.c
Making completion list...
Mark set
Mark saved where search started
Making completion list...

Load-path shadows:
/home/tromey/.emacs.d/elpa/css-mode-1.0/css-mode hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/textmodes/css-mode
/home/tromey/lib/lisp/prog-mode hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/progmodes/prog-mode
/home/tromey/.emacs.d/elpa/bubbles-0.5/bubbles hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/play/bubbles
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-mode hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/nxml-mode
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-valid hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/rng-valid
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-xsd hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/rng-xsd
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-enc hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/nxml-enc
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-glyph hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/nxml-glyph
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-pttrn hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/rng-pttrn
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-uchnm hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/nxml-uchnm
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-nxml hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/rng-nxml
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/xmltok hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/xmltok
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-parse hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/rng-parse
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-dt hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/rng-dt
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-maint hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/rng-maint
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-rap hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/nxml-rap
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-cmpct hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/rng-cmpct
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-match hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/rng-match
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-parse hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/nxml-parse
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-outln hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/nxml-outln
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-util hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/rng-util
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-uri hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/rng-uri
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-maint hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/nxml-maint
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-ns hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/nxml-ns
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/xsd-regexp hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/xsd-regexp
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/nxml-util hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/nxml-util
/home/tromey/.emacs.d/elpa/nxml-mode-20041004/rng-loc hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/nxml/rng-loc
/home/tromey/.emacs.d/elpa/emms-3.0/tq hides /home/tromey/Space/EmacsBzr/emacs-mt/trunk-install/share/emacs/24.3.50/lisp/emacs-lisp/tq

Features:
(shadow emacsbug novice gnus-uu yenc smerge-mode gnus-fun perl-mode
url-queue tcl pcmpl-unix pcmpl-gnu find-file cus-start cus-load
autorevert filenotify gdb-shell shell conf-mode python nxml-mode
nxml-outln nxml-rap nxml-util nxml-glyph nxml-enc xmltok find-dired grep
make-mode nnagent idutils compile mailalias cal-move bbdb-sc supercite
regi mail-hist nnir goto-addr log-edit dabbrev eieio-opt speedbar
sb-image ezimage dframe find-func help-mode autoconf autoconf-mode
sh-script smie executable shr-color color url-http url-gw url-auth eww
shr webjump w3m-cookie w3m-bookmark w3m-tabmenu w3m-session w3m doc-view
jka-compr image-mode w3m-hist w3m-fb bookmark-w3m w3m-ems w3m-ccl ccl
w3m-favicon w3m-image w3m-proc w3m-util flow-fill xterm copyright
bug-reference cc-langs cc-mode cc-fonts cc-guess cc-menus cc-cmds
misearch multi-isearch diff-mode gnus-html browse-url xml url-cache
mm-url qp mm-archive add-log log-view pcvs-util vc-git vc-bzr vc-sccs
vc-svn vc-cvs vc-rcs vc-dir ewoc vc vc-dispatcher bbdb-gui bbdb-hooks
mule-util smiley gnus-cite gnus-async gnus-bcklg gnus-ml disp-table
nndraft nnmh gnutls nnml parse-time netrc nnfolder bbdb-gnus bbdb-snarf
mail-extr bbdb-com warnings nnnil gnus-agent gnus-srvr gnus-score
score-mode nnvirtual gnus-msg gnus-art mm-uu mml2015 epg-config mm-view
mml-smime smime dig nntp gnus-cache gnus-sum nnoo gnus-group gnus-undo
nnmail mail-source smtpmail sendmail gnus-start gnus-spec gnus-int
gnus-range message rfc822 mml mml-sec mm-decode mm-bodies mm-encode
mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev gmm-utils
mailheader gnus-win gnus gnus-ems nnheader mail-utils network-stream
starttls tls erc-spelling erc-truncate flyspell ispell eldoc emms-status
emms-info-ogginfo emms-info-mp3info emms-playlist-mode
emms-player-mplayer emms-setup emms-lastfm rx emms-browser sort
emms-cache emms-playlist-sort emms-score emms-player-xine
emms-player-mpd emms-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util url-parse
url-vars mailcap tq emms-source-playlist emms-playing-time emms-info
emms-lyrics derived emms-source-file locate dired emms-player-simple
emms-streams edmacro kmacro later-do emms-mode-line emms emms-compat
dwarf-mode-autoloads gdb-shell-autoloads lisppaste-autoloads
magit-autoloads pydoc-info-autoloads info-look info weblogger-autoloads
xml-rpc-autoloads package cal-china lunar solar cal-dst cal-bahai
cal-islam cal-hebrew holidays hol-loaddefs appt diary-lib diary-loaddefs
cal-menu calendar cal-loaddefs mouse-sel easy-mmode cl-macs gv status cl
erc-services erc-list erc-menu easymenu erc-join erc-ring erc-networks
erc-pcomplete pcomplete erc-track erc-match erc-button wid-edit
cl-loaddefs cl-lib erc-fill erc-stamp erc-netsplit erc-goodies erc
erc-backend erc-compat format-spec auth-source eieio byte-opt bytecomp
byte-compile cconv eieio-core gnus-util mm-util mail-prsvr
password-cache thingatpt pp cc-styles cc-align cc-engine cc-vars cc-defs
advice help-fns bbdb timezone ange-ftp comint ansi-color ring server
bbdb-autoloads time-date tooltip electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

Tom